Package Details: systemd-manager-git 0.4.5.r18.g5bf1bdc-1

Git Clone URL: https://aur.archlinux.org/systemd-manager-git.git (read-only)
Package Base: systemd-manager-git
Description: A program written with Rust that allows the user to manage their systemd services via a GTK3 GUI.
Upstream URL: https://github.com/mmstick/systemd-manager/
Keywords: gtk manager rust systemd
Licenses: MIT
Conflicts: systemd-manager
Provides: systemd-manager
Submitter: shellkr
Maintainer: shellkr
Last Packager: shellkr
Votes: 30
Popularity: 0.148474
First Submitted: 2015-11-22 00:08
Last Updated: 2016-06-19 23:24

Latest Comments

shellkr commented on 2016-05-28 05:48

@chungy: No, or I would already have done one. The nice thing with VCS pacakges like this is that it is very simple to make them to what you want. Like changing 'branch=master' to a specific commit and similar. Updates are also managed by the users themselves and not the package maintainer.

chungy commented on 2016-05-27 07:19

@shellkr do you plan on making a PKGBUILD for the stable releases?

shellkr commented on 2016-05-24 21:06

@Celti: Thanks! I will update with the cleaner pkgbuild as soon I as I have time. I will keep the fragment though as I think it is convenient. As you said. It doesn't do anything.

Anonymous comment on 2016-05-24 13:18

PKGBUILD improvements:
- A few typos in $pkgdesc
- All -git packages require a makedepend on git (makechrootpkg fails without it)
- branch=master is the default, no need to specify it
- pkgver() should use all three of tags, revisions, hash
- no need to specify $srcdir everywhere
- various whitespace inconsistencies

Fixed version: https://gist.github.com/Celti/fa0557c16fe98c7115a37f5bcfe0e797

shellkr commented on 2016-03-15 19:47

You generally don't keep a git-package pkgver up-to-date. The user use the '--devel' flag when s/he want
to update. Having the version "0" was a recommendation before but I think it has changed because I can not
find it anymore. The package should now not update any more unless a newer source is available. Let me know
if it still don't work.

chron commented on 2016-03-15 14:11

@shellkr: It's not recommended as far as I know, but it works and makes sense to me.
pkgver() will still set the correct version(commit) for the build, but yaourt won't try to update the package every time.

Keeping the PKGBUID version up to date with git commits is too much work in my opinion.

But in the end it's your decision.

shellkr commented on 2016-03-11 19:47

@chron: Is "pkgver=git" recommended somewhere? Can't see anything of that in the VCS package recommends. I gave it a version. I know Yaourt can have issues with this. I usually use pacaur so didn't notice. Thanks for the notice.

chron commented on 2016-03-11 14:42

Please set pkgver=git or something similiar, otherwise the package is updated every time you run yaourt(or whatever else people use)